import { NextResponse } from "next/server";

export async function POST(): Promise<NextResponse> {
  async function retrievePageToRender(): Promise<string> {
    return new Promise((resolve) => {
      resolve("superUserTenantSomething");
    });
  }

  const pageToRender = await retrievePageToRender();
  return NextResponse.json({
    status: 200,
    data: pageToRender,
  });
}
